	FUNCTION NBLEN(STRING)
	CHARACTER*(*) STRING
C
C	   THIS FUNCTION RETURNS THE (INTEGER) NON-WHITE-CHAR
C	   LENGTH OF THE INPUT STRING.
C
C		WHIT, 16 AUG '83
C		MODIFIED 3 MAR '84 TO DO WHITE SPACE, NOT JUST BLANKS
C	   DISCOUNTS ALL CHARACTERS WHOSE ASCII CODES ARE LESS THAN
C	   OR EQUAL TO THAT OF "SPACE".  NOT ESPECIALLY SYSTEM-DEPENDENT, 
C	   BECAUSE ICHAR IN FORTRAN-77 ALWAYS RETURNS THE ASCII VALUE
C
	N=LEN(STRING)
	IBLANK= ICHAR(' ')
	DO 1 M=N,1,-1
		NBLEN=M
		IF (ICHAR(STRING(M:M)) .GT. IBLANK)
	1	     GO TO 2
 1		CONTINUE
 2	CONTINUE
	RETURN
	END
